.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  min-height: 400px;
  background-color: rgba(0, 0, 0, 0.7);
}

.inventory,
.treasure {
  position: absolute;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;
  top: 50%;
  left: 50%;
  width: 750px;
  height: 450px;
  transform: translate(-50%, -50%);
  background-color: var(--bg-color);
  border-radius: 5px;
}

.inventory h2,
.treasure h2 {
  position: absolute;
  top: 20px;
  border-bottom: 1px solid var(--text-color);
}

.inventory .card-container,
.treasure .card-container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  width: 100%;
  height: 80%;
  overflow: scroll;
}

.btn {
  position: absolute;
  top: 0px;
  left: 0px;
  font-size: 18px;
  box-shadow: 5px 5px 3px rgba(0, 0, 0, 0.4);
}

.loading-component {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
